Subject: bug#45319: 28.0.50; Redisplay: `forward-char' moves backwards into invisible text

From: Michael Heerdegen <[email-masked]>
Date: Sun, 20 Dec 2020 04:32:04 +0100

Eli Zaretskii <[email-masked]> writes:

> A stab in the dark: there's disable-point-adjustment, which could be
> set temporarily, perhaps that could help?

I see now that I once already had filed a bug report concerning a
similar thing, and one thing Stefan mentioned there is relevant in this
case: with point "at" the beginning of a visible line, after invisible
lines,

  (get-pos-property (point) 'invisible) ==> t

so I'm trying with

  (setf (alist-get 'invisible text-property-default-nonsticky) t)

now.  Seems it helps (for my minor mode at least).

Thanks,

Michael.